Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.grape
Class GrabAnnotationTransformation

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              groovy.grape.GrabAnnotationTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase=CompilePhase.CONVERSION)
    class GrabAnnotationTransformation
    extends ClassCodeVisitorSupport

Transformation for declarative dependency management.

Field Summary
`boolean` | `allowShortGrab`
`boolean` | `allowShortGrabConfig`
`boolean` | `allowShortGrabExcludes`
`boolean` | `allowShortGrabResolver`
`boolean` | `allowShortGrapes`
`Set` | `grabAliases`
`List` | `grabAnnotations`
`Set` | `grabConfigAliases`
`List` | `grabConfigAnnotations`
`Set` | `grabExcludeAliases`
`List` | `grabExcludeAnnotations`
`Set` | `grabResolverAliases`
`List` | `grabResolverAnnotations`
`Set` | `grapesAliases`
`List` | `grapesAnnotations`
`boolean` | `initContextClassLoader`
`ClassLoader` | `loader`
`SourceUnit` | `sourceUnit`

Constructor Summary
`GrabAnnotationTransformation()`

Method Summary
`SourceUnit` | `getSourceUnit()`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`
`void` | `visitAnnotations(AnnotatedNode node)` Adds the annotation to the internal target list if a match is found.

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### allowShortGrab

    boolean allowShortGrab

### allowShortGrabConfig

    boolean allowShortGrabConfig

### allowShortGrabExcludes

    boolean allowShortGrabExcludes

### allowShortGrabResolver

    boolean allowShortGrabResolver

### allowShortGrapes

    boolean allowShortGrapes

### grabAliases

    Set grabAliases

### grabAnnotations

    List grabAnnotations

### grabConfigAliases

    Set grabConfigAliases

### grabConfigAnnotations

    List grabConfigAnnotations

### grabExcludeAliases

    Set grabExcludeAliases

### grabExcludeAnnotations

    List grabExcludeAnnotations

### grabResolverAliases

    Set grabResolverAliases

### grabResolverAnnotations

    List grabResolverAnnotations

### grapesAliases

    Set grapesAliases

### grapesAnnotations

    List grapesAnnotations

### initContextClassLoader

    boolean initContextClassLoader

### loader

    ClassLoader loader

### sourceUnit

    SourceUnit sourceUnit

Constructor Detail

### GrabAnnotationTransformation

    GrabAnnotationTransformation()

Method Detail

### getSourceUnit

    public SourceUnit getSourceUnit()

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

  Adds the annotation to the internal target list if a match is found.
  param:
    node the AST node we are processing

Copyright © 2003-2009 The Codehaus. All rights reserved.